LMS API Documentation: lms_stream_status_t Struct Reference

LMS API Documentation v22.09.1

Loading...
Searching...
No Matches
Data Fields
lms_stream_status_t Struct Reference
Sample Streaming functions

`#include <LimeSuite.h>`

## Data Fields
bool | active
| Indicates whether the stream is currently active. More...
uint32_t | fifoFilledCount
| Number of samples in FIFO buffer. More...
uint32_t | fifoSize
| Size (in samples) of FIFO buffer. More...
uint32_t | underrun
| FIFO underrun count since the last call to LMS_GetStreamStatus() More...
uint32_t | overrun
| FIFO overrun count since the last call to LMS_GetStreamStatus() More...
uint32_t | droppedPackets
| Number of dropped packets by HW since the last call to LMS_GetStreamStatus() More...
float_type | sampleRate
| Currently not used. More...
float_type | linkRate
| Data transfer rate (B/s) over the last 1 s per direction per LMS chip. More...
uint64_t | timestamp
| The most recently received Rx timestamp, or the last timestamp submitted to Tx. More...

## Detailed Description

Streaming status structure

Definition at line 1117 of file LimeSuite.h.

## Field Documentation

## ◆ active

bool active

Indicates whether the stream is currently active.

Definition at line 1120 of file LimeSuite.h.

## ◆ droppedPackets

uint32_t droppedPackets

Number of dropped packets by HW since the last call to LMS_GetStreamStatus()

Definition at line 1130 of file LimeSuite.h.

## ◆ fifoFilledCount

uint32_t fifoFilledCount

Number of samples in FIFO buffer.

Definition at line 1122 of file LimeSuite.h.

## ◆ fifoSize

uint32_t fifoSize

Size (in samples) of FIFO buffer.

Definition at line 1124 of file LimeSuite.h.

## ◆ linkRate

float_type linkRate

Data transfer rate (B/s) over the last 1 s per direction per LMS chip.

Definition at line 1134 of file LimeSuite.h.

## ◆ overrun

uint32_t overrun

FIFO overrun count since the last call to LMS_GetStreamStatus()

Definition at line 1128 of file LimeSuite.h.

## ◆ sampleRate

float_type sampleRate

Currently not used.

Definition at line 1132 of file LimeSuite.h.

## ◆ timestamp

uint64_t timestamp

The most recently received Rx timestamp, or the last timestamp submitted to Tx.

Definition at line 1136 of file LimeSuite.h.

## ◆ underrun

uint32_t underrun

FIFO underrun count since the last call to LMS_GetStreamStatus()

Definition at line 1126 of file LimeSuite.h.

The documentation for this struct was generated from the following file:

- /build/limesuite/src/LimeSuite-22.09.1/src/lime/LimeSuite.h